module BoilerplateEngineHelper
  def head_title(title = nil)
    content_for(:head_title) { title } and return if title
    content_for?(:head_title) ? content_for(:head_title) : BoilerplateYetting.default_head_title
  end
  
  def meta_description(meta_description = nil)
    content_for(:meta_description) { meta_description } and return if meta_description
    content_for?(:meta_description) ? content_for(:meta_description) : BoilerplateYetting.default_meta_description
  end
  
  def notice
    flash[:notice] rescue ""
  end
  
  def alert
    flash[:alert] rescue ""
  end
end